TestBorlandCCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.borland.TestBorlandCCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.borland
Class TestBorlandCCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
                  net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler
                      net.sf.antcontrib.cpptasks.borland.TestBorlandCCompiler

All Implemented Interfaces:
  junit.framework.Test

    public class TestBorlandCCompiler

extends TestAbstractCompiler

Borland C++ Compiler adapter tests Override create to test concrete compiler implementions

Constructor Summary
`TestBorlandCCompiler(java.lang.String name)`

Method Summary
`protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor` | `create()`
`protected java.lang.String` | `getObjectExtension()`
`void` | `testGetIdentfier()`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler
`testCanParseTlb, testGetOutputFileName1`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
`testBid`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestBorlandCCompiler

    public TestBorlandCCompiler(java.lang.String name)

Method Detail

### create

    protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor create()

  Overrides:
    `create` in class `TestAbstractCompiler`

### getObjectExtension

    protected java.lang.String getObjectExtension()

  Overrides:
    `getObjectExtension` in class `TestAbstractCompiler`

### testGetIdentfier

    public void testGetIdentfier()

  Overrides:
    `testGetIdentfier` in class `TestAbstractProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.